"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Socks5NodeConfigValidator = void 0;
const zod_1 = require("zod");
const types_1 = require("../types");
const common_1 = require("./common");
exports.Socks5NodeConfigValidator = common_1.SimpleNodeConfigValidator.extend({
    type: zod_1.z.literal(types_1.NodeTypeEnum.Socks5),
    hostname: zod_1.z.string(),
    port: common_1.PortValidator,
    username: zod_1.z.ostring(),
    password: zod_1.z.ostring(),
    udpRelay: zod_1.z.oboolean(),
    tls: zod_1.z.oboolean(),
    skipCertVerify: zod_1.z.oboolean(),
    sni: zod_1.z.ostring(),
    clientCert: zod_1.z.ostring(),
});
//# sourceMappingURL=socks5.js.map